Loading...
Searching...
No Matches
juce::AccessibilityHandler::Interfaces Struct Reference

## Detailed Description

Utility struct which holds one or more accessibility interfaces.

The main purpose of this class is to provide convenience constructors from each of the four types of accessibility interface.

The documentation for this struct was generated from the following file:

- juce_gui_basics/accessibility/juce_AccessibilityHandler.h

## Public Member Functions

| Interfaces ()=default
| Interfaces (std::unique_ptr< AccessibilityValueInterface > ptr)
| Interfaces (std::unique_ptr< AccessibilityTextInterface > ptr)
| Interfaces (std::unique_ptr< AccessibilityTableInterface > ptr)
| Interfaces (std::unique_ptr< AccessibilityCellInterface > ptr)
| Interfaces (std::unique_ptr< AccessibilityValueInterface > valueIn, std::unique_ptr< AccessibilityTextInterface > textIn, std::unique_ptr< AccessibilityTableInterface > tableIn, std::unique_ptr< AccessibilityCellInterface > cellIn)

## Public Attributes

std::unique_ptr< AccessibilityValueInterface > | value
std::unique_ptr< AccessibilityTextInterface > | text
std::unique_ptr< AccessibilityTableInterface > | table
std::unique_ptr< AccessibilityCellInterface > | cell

## Constructors and Destructors

## Interfaces() [1/6]

juce::AccessibilityHandler::Interfaces::Interfaces | ( |  | ) |

default

## Interfaces() [2/6]

juce::AccessibilityHandler::Interfaces::Interfaces | ( | std::unique_ptr< AccessibilityValueInterface > | ptr | ) |

inline

References value.

## Interfaces() [3/6]

juce::AccessibilityHandler::Interfaces::Interfaces | ( | std::unique_ptr< AccessibilityTextInterface > | ptr | ) |

inline

References text.

## Interfaces() [4/6]

juce::AccessibilityHandler::Interfaces::Interfaces | ( | std::unique_ptr< AccessibilityTableInterface > | ptr | ) |

inline

References table.

## Interfaces() [5/6]

juce::AccessibilityHandler::Interfaces::Interfaces | ( | std::unique_ptr< AccessibilityCellInterface > | ptr | ) |

inline

References cell.

## Interfaces() [6/6]

juce::AccessibilityHandler::Interfaces::Interfaces | ( | std::unique_ptr< AccessibilityValueInterface > | valueIn,
|  | std::unique_ptr< AccessibilityTextInterface > | textIn,
|  | std::unique_ptr< AccessibilityTableInterface > | tableIn,
|  | std::unique_ptr< AccessibilityCellInterface > | cellIn )

inline

References cell, table, text, and value.

## Member Data Documentation

## value

std::unique_ptr<AccessibilityValueInterface> juce::AccessibilityHandler::Interfaces::value

Referenced by Interfaces(), and Interfaces().

## text

std::unique_ptr<AccessibilityTextInterface> juce::AccessibilityHandler::Interfaces::text

Referenced by Interfaces(), and Interfaces().

## table

std::unique_ptr<AccessibilityTableInterface> juce::AccessibilityHandler::Interfaces::table

Referenced by Interfaces(), and Interfaces().

## cell

std::unique_ptr<AccessibilityCellInterface> juce::AccessibilityHandler::Interfaces::cell

Referenced by Interfaces(), and Interfaces().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited